Package ch.qos.logback.core.pattern.util

# Class AsIsEscapeUtil

java.lang.Object
ch.qos.logback.core.pattern.util.AsIsEscapeUtil

All Implemented Interfaces:
  `IEscapeUtil`

public class AsIsEscapeUtil extends Object implements IEscapeUtil

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`AsIsEscapeUtil()`

## Method Summary

Modifier and Type
Method
Description
`void`
`escape(String escapeChars, StringBuffer buf, char next, int pointer)`
Do not perform any character escaping.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsIsEscapeUtil

public AsIsEscapeUtil()

## Method Details

### escape

public void escape(String escapeChars, StringBuffer buf, char next, int pointer)
Do not perform any character escaping.

Note that this method assumes that it is called after the escape character has been consumed.

Specified by:
  `escape` in interface `IEscapeUtil`